:root {
    --common-color: #ed3a40;
}

html,
body {
    font-family: "icomoon";
    color: #333;
}

#userlogin {
    width: 1200px;
    margin: 0 auto;
    padding: 50px 0;
}

.login-title {
    position: relative;
    font-size: 26px;
    text-align: center;
    margin-bottom: 32px;
}

.login-title p {
    width: 80px;
    background: #fff;
    margin: 0 auto;
    line-height: 1;
}

.login-title::after {
    content: '';
    display: block;
    position: absolute;
    width: 100%;
    height: 1px;
    background: #ddd;
    top: 50%;
    z-index: -1;
}

.login-content {
    display: flex;
}

.login-line {
    width: 1px;
    height: auto;
    background-color: #e7e7e7;
    z-index: 1;
}

.scan-qrcode {
    position: relative;
    margin: 18px auto;
    width: 173px;
    height: 173px;
    cursor: pointer;
    margin-top: 32px;
    border: 2px solid #f34343;
    border-radius: 3px;
}

.scan-qrcode img {
    width: 100%;
    position: absolute;
    z-index: 999;
}

.mask-angle {
    position: absolute;
    width: 180px;
    height: 140px;
    top: 50%;
    left: 50%;
    background: #fff;
    transform: translate(-50%, -50%);
}

.mask-angle-vertical {
    width: 140px;
    height: 180px;
}

.log-in-again {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: hsla(0, 0%, 100%, 0.9);
    text-align: center;
    font-size: 12px;
    color: #666;
    z-index: 999;
}

.again-icon {
    width: 56px;
    height: 56px;
    border-radius: 50%;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    margin-top: 36px;
    margin-bottom: 10px;
    font-size: 24px;
    color: var(--common-color);
}

.scan-description-text {
    font-size: 14px;
    text-align: center;
    color: #999;
}

.font-color-login {
    color: var(--common-color);
}

.union-tab {
    display: flex;
    height: 20px;
}

.union-tab-line {
    width: 1px;
    height: 20px;
    background-color: #e7e7e7;
    margin: 0 10px;
    font-size: 14px;
}

.tab-message {
    font-size: 16px;
    cursor: pointer;
}

.union-password-wrapper {
    width: 100%;
    margin: 32px 0;
}

.union-login-password {
    position: relative;
    display: flex;
    padding: 0 20px;
    align-items: center;
    -webkit-box-pack: justify;
    justify-content: space-between;
    border: 1px solid #e7e7e7;
    height: 43px;
    margin-top: 20px;
}

.union-login-text {
    margin-right: 20px;
    font-size: 14px;
    color: #333;
    white-space: nowrap;
}

.union-login-input {
    width: 100%;
    outline: none;
    border: none;
    font-size: 14px;
    color: #212121;
    box-shadow: inset 0 0 0 20px #fff;
}

.union-login-left {
    display: flex;
    align-items: center;
    flex-grow: 1;
}

.union-login-left-code {
    position: relative;
}

.union-login-left-code>div {
    position: absolute;
    bottom: -23px;
}

.union-login-tel>div {
    position: absolute;
    bottom: -27px;
}

.union-login-tel {
    position: relative;
    display: flex;
    padding: 0 20px;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    justify-content: space-between;
    border: 1px solid #e7e7e7;
    height: 43px;
}

.union-login-account {
    position: relative;
    display: flex;
    padding: 0 20px;
    -webkit-box-align: center;
    align-items: center;
    border: 1px solid #e7e7e7;
    height: 40px;
    margin-bottom: 32px;
}

.union-login-account>div {
    position: absolute;
    bottom: -27px;
}

.union-register-wrapper {
    width: 100%;
    display: flex;
    margin-top: 16px;
    margin-bottom: 20px;
    justify-content: space-between;
}

.universal-btn {
    box-sizing: border-box;
    width: 48.5%;
    height: 40px;
    line-height: 40px;
    text-align: center;
    font-size: 14px;
    cursor: pointer;
}

.register-btn {
    border: 1px solid #e7e7e7;
    color: #000;
}

.register-btn a {
    display: inline-block;
    width: 100%;
    height: 100%;
}

.page-login-btn {
    color: #fff;
}

.background-color {
    background: var(--common-color);
}

.login-scan {
    width: 50%;
}

.login-wrapper {
    padding: 32px;
    flex-grow: 1;
    height: 425px;
    box-sizing: border-box;
    padding-right: 131px;
}

.remember-password {
    display: flex;
    justify-content: right;
    align-items: center;
    margin: 16px 0;
}

.remember-password-common {
    display: flex;
    align-items: center;
}

.remember-password span {
    color: #999;
    margin-left: 10px;
    font-size: 12px;
}

.remember-password-common input {
    margin-right: 10px;
}

.remember-password-common .change-color {
    color: var(--common-color);
}

.union-validation {
    width: 100%;
    height: 40px;
    /* border: 1px solid #e7e7e7; */
    text-align: center;
    line-height: 40px;
    font-size: 14px;
    color: #999;
}

.union-validation #sc {
    margin: 0;
}

#sc,
#SM_BTN_WRAPPER_1,
#SM_BTN_1,
#rectMask,
.rect-bottom,
.rect-top,
#sm-btn-bg {
    width: 100%!important;
}

#rectMask,
#SM_BTN_1 {
    height: 40px!important;
    line-height: 40px!important;
}

#rectTop,
#rectBottom {
    height: 20px!important;
    line-height: 40px!important;
}

.login-scan-description {
    text-align: center;
    font-size: 16px;
}

.union-login-code {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    height: 43px;
    margin: 32px 0;
}

.union-login-right {
    width: 100px;
    display: flex;
    -webkit-box-pack: justify;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    height: 100%;
    border: 1px solid #e7e7e7;
    text-align: center;
    background: #f2f2f2;
    color: #666;
    margin-left: 10px;
}

.union-login-right-line {
    display: inline-block;
    width: 1px;
    height: 26px;
    background: #e7e7e7;
    margin-right: 24px;
}

.union-login-right-text {
    font-size: 14px;
    cursor: pointer;
}

.union-login-left-code {
    padding: 0 20px;
    height: 100%;
    border: 1px solid #e7e7e7;
}

.fade-leave {
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 14px;
    transform: translate(-50%, -50%);
    padding: 10px;
    background: rgba(0, 0, 0, 0.8);
    z-index: 99;
    color: #fff;
}

@font-face {
    font-family: "icomoon";
    src: url("/font/icomoon/fonts/icomoon.eot?w4navs");
    src: url("/font/icomoon/fonts/icomoon.eot?w4navs#iefix") format("embedded-opentype"), url("/font/icomoon/fonts/icomoon.ttf?w4navs") format("truetype"), url("/font/icomoon/fonts/icomoon.woff?w4navs") format("woff"), url("/font/icomoon/fonts/icomoon.svg?w4navs#icomoon") format("svg");
    font-weight: normal;
    font-style: normal;
}

#changePwd{
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    z-index: 10000002;
    background: rgba(0, 0, 0, 0.5);
}
#changePwd .changeBox{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 400px;
    height: 160px;
    background: #ffffff;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
}
.changeBox .changeBoxText{
    text-align: center;
    font-size: 20px;
    font-weight: 400;
    color: #333333;
    margin: 20px;
}
.changeBoxBtn{
    cursor: pointer;
    width: 80px;
    height: 30px;
    background: #e45d6f;
    font-size: 16px;
    color: #ffffff;
    margin: 0 auto;
    text-align: center;
    line-height: 30px;

}
.closew{
    position: absolute;
    cursor: pointer;
    top: -40px;
    right: -36px;
    width: 30px;
    height: 30px;
}